#!/usr/bin/env js

function readline() {
    var ist = new java.io.InputStreamReader(java.lang.System.in);
    var bre = new java.io.BufferedReader(ist);
    var line = bre.readLine();
    return line;
}

var z = [];

print("数値を入力してね(Ctrl-dで終了)");

while (true) {
    var line = readline();
    if (line === null) break;
    z.push(parseInt(line));
}

print(JSON.stringify(z), "\n\n");

print("↓偶数↓");

for (var i = 0; i < z.length; i++) {
    var num = z[i];
    if (num % 2 === 0) {
        print(num);
    }
}



